Name:           libpam4j
Version:        1.8
Release:        %mkrel 7
Group:          Development/Java
Summary:        Java binding for libpam.so

# License is specified in pom file
License:        MIT
URL:            https://github.com/kohsuke/libpam4j
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-%{version}.tar.gz
# License text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.java.dev.jna:jna)
BuildRequires:  mvn(org.kohsuke:pom:pom:)

BuildArch:      noarch

%description
This package provides Java binding for libpam library.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

cp %{SOURCE1} LICENSE

# this test works locally, but fails in koji from unknown reason
# TODO: investigate & fix it
rm src/test/java/org/jvnet/libpam/UnixUserTest.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE
%files javadoc -f .mfiles-javadoc
%doc README.md
%license LICENSE



%changelog
* Tue Mar 01 2016 daviddavid <daviddavid> 1.8-7.mga6
+ Revision: 981332
- First rebuild of the java stack
- sync package libpam4j with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.8-6.mga5
+ Revision: 742122
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 09 2014 dmorgan <dmorgan> 1.8-4.mga5
+ Revision: 621357
- imported package libpam4j


* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.8-3
- Use Requires: java-headless rebuild (#1067528)

* Tue Feb 18 2014 Michal Srb <msrb@redhat.com> - 1.8-2
- Disable koji-failing tests for now

* Tue Feb 18 2014 Michal Srb <msrb@redhat.com> - 1.8-1
- Update to upstream version 1.8

* Tue Oct 29 2013 Michal Srb <msrb@redhat.com> - 1.7-3
- Fix directory ownership

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 09 2013 Michal Srb <msrb@redhat.com> - 1.7-1
- Initial package

